import { addPlugin } from 'react-native-flipper';

var currentConnection = null;
var client = null;
var enableFlipperApolloDevtools = function enableFlipperApolloDevtools(newClient) {
  if (client !== newClient) {
    client = newClient;
    var counter = 0;
    var enqueued = null;

    var logger = function logger(_ref) {
      var _ref$state = _ref.state,
          queries = _ref$state.queries,
          mutations = _ref$state.mutations,
          inspector = _ref.dataWithOptimisticResults;
      counter++;
      enqueued = {
        counter: counter,
        queries: queries,
        mutations: mutations,
        inspector: inspector
      };

      if (currentConnection !== null) {
        currentConnection.send('broadcast:new', enqueued);
      }
    };

    client.__actionHookForDevTools(logger);
  }

  if (currentConnection === null) {
    addPlugin({
      getId: function getId() {
        return 'apollo-client-devtools';
      },
      onConnect: function onConnect(connection) {
        currentConnection = connection;
      },
      onDisconnect: function onDisconnect() {
        currentConnection = null;
      },
      runInBackground: function runInBackground() {
        return false;
      }
    });
  }
};

export { enableFlipperApolloDevtools };
//# sourceMappingURL=react-native-flipper-apollo-devtools.esm.js.map
